org.optaplanner.benchmark.config.report

## Class BenchmarkReportConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<BenchmarkReportConfig>
  - - org.optaplanner.benchmark.config.report.BenchmarkReportConfig

-     public class BenchmarkReportConfig
      extends AbstractConfig<BenchmarkReportConfig>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BenchmarkReportConfig()`
    `BenchmarkReportConfig(BenchmarkReportConfig inheritedConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BenchmarkReport` | `buildBenchmarkReport(PlannerBenchmarkResult plannerBenchmark)`
    `Locale` | `determineLocale()`
    `Locale` | `getLocale()`
    `Class<? extends Comparator<SolverBenchmarkResult>>` | `getSolverRankingComparatorClass()`
    `SolverRankingType` | `getSolverRankingType()`
    `Class<? extends SolverRankingWeightFactory>` | `getSolverRankingWeightFactoryClass()`
    `void` | `inherit(BenchmarkReportConfig inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setLocale(Locale locale)`
    `void` | `setSolverRankingComparatorClass(Class<? extends Comparator<SolverBenchmarkResult>> solverRankingComparatorClass)`
    `void` | `setSolverRankingType(SolverRankingType solverRankingType)`
    `void` | `setSolverRankingWeightFactoryClass(Class<? extends SolverRankingWeightFactory> solverRankingWeightFactoryClass)`
    `protected void` | `supplySolverRanking(BenchmarkReport benchmarkReport)`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `copyConfig, deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, newInstance, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BenchmarkReportConfig

          public BenchmarkReportConfig()

    - #### BenchmarkReportConfig

          public BenchmarkReportConfig(BenchmarkReportConfig inheritedConfig)

  - ### Method Detail

    - #### getLocale

          public Locale getLocale()

    - #### setLocale

          public void setLocale(Locale locale)

    - #### getSolverRankingType

          public SolverRankingType getSolverRankingType()

    - #### setSolverRankingType

          public void setSolverRankingType(SolverRankingType solverRankingType)

    - #### getSolverRankingComparatorClass

          public Class<? extends Comparator<SolverBenchmarkResult>> getSolverRankingComparatorClass()

    - #### setSolverRankingComparatorClass

          public void setSolverRankingComparatorClass(Class<? extends Comparator<SolverBenchmarkResult>> solverRankingComparatorClass)

    - #### getSolverRankingWeightFactoryClass

          public Class<? extends SolverRankingWeightFactory> getSolverRankingWeightFactoryClass()

    - #### setSolverRankingWeightFactoryClass

          public void setSolverRankingWeightFactoryClass(Class<? extends SolverRankingWeightFactory> solverRankingWeightFactoryClass)

    - #### buildBenchmarkReport

          public BenchmarkReport buildBenchmarkReport(PlannerBenchmarkResult plannerBenchmark)

    - #### determineLocale

          public Locale determineLocale()

    - #### supplySolverRanking

          protected void supplySolverRanking(BenchmarkReport benchmarkReport)

    - #### inherit

          public void inherit(BenchmarkReportConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Specified by:
        `inherit` in class `AbstractConfig<BenchmarkReportConfig>`
      Parameters:
        `inheritedConfig` - never null

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.